# Penning Trap Simulation: src/frequency_narrow_sweeps_long.cpp File Reference

Loading...
Searching...
No Matches
frequency_narrow_sweeps_long.cpp File Reference

Sweep of the frequencies from 1.1 to 1.7 using a small time step. More...

`#include <cmath>`
`#include <complex>`
`#include <fstream>`
`#include <omp.h>`
`#include <string>`
`#include <vector>`
`#include "PenningTrap.hpp"`
`#include "constants.hpp"`
`#include "utils.hpp"`

Go to the source code of this file.

## Macros

#define | PARTICLES 100
#define | N 40000

## Functions

void | potential_resonance_narrow_sweep ()
| Simulate 100 particles over 500 \( \mu s \) using a time dependent potential.
void | potential_resonance_narrow_sweep_interaction ()
| Simulate 100 particles over 500 \( \mu s \) using a time dependent potential.
int | main ()

## Detailed Description

Sweep of the frequencies from 1.1 to 1.7 using a small time step.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  1.0

Bug:
  No known bugs

Definition in file frequency_narrow_sweeps_long.cpp.

## Macro Definition Documentation

## N

#define N 40000

Definition at line 25 of file frequency_narrow_sweeps_long.cpp.

## PARTICLES

#define PARTICLES 100

Definition at line 24 of file frequency_narrow_sweeps_long.cpp.

## Function Documentation

## main()

int main | ( |  | ) |

Definition at line 139 of file frequency_narrow_sweeps_long.cpp.

## potential_resonance_narrow_sweep()

void potential_resonance_narrow_sweep | ( |  | ) |

Simulate 100 particles over 500 \( \mu s \) using a time dependent potential.

The simulation sweeps over different frequencies in [1., 1.7] MHz.

Definition at line 34 of file frequency_narrow_sweeps_long.cpp.

## potential_resonance_narrow_sweep_interaction()

void potential_resonance_narrow_sweep_interaction | ( |  | ) |

Simulate 100 particles over 500 \( \mu s \) using a time dependent potential.

The simulation sweeps over different frequencies in [1., 1.7] MHz.

Definition at line 91 of file frequency_narrow_sweeps_long.cpp.